Assignee: Jorg Riesmeier % Done: 100%
Category: Estimated time: 0:00 hour

Target version:
Module: ofstd, dcmdata Compiler:

Operating System:

Description

Auf Windows-Systeme ware es hilfreich, neben OFString / char* auch wchar_t* als Datentyp fUr die zu konvertierenden
Zeichenketten zu unterstiitzen. wchar_t wird unter Windows namlich fiir die erweiterten Zeichen (UTF-16 / UCS-2) verwendet.

History

#1 - 2012-05-03 16:21 - J6rg Riesmeier

Eine einfache Konvertierung zwischen UTF-8 (char) und UTF-16 (wchar_t) speziell fir Windows kénnte auch ganz ohne libiconv, die ja bekanntlich
unter der LGPL steht, auskommen, da die Windows-API alles Notwendige zur Verfligung stellen sollte.

#2 - 2012-05-24 18:25 - Jorg Riesmeier
- Status changed from New to Assigned
- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 50

Die Unterstiitzung in "ofstd" ist nun vorhanden: http:/git.dcmtk.org/web?p=dcmtk.qgit;

Momentan wird aber nur zwischen "wide chars" (UTF-16) und UTF-8 konvertiert. Andere Zeichensétze wie Latin-1 sowie die entsprechende
Unterstltzung in "dcmdata” fehlen noch.

#3 - 2012-07-04 16:39 - Jorg Riesmeier
- % Done changed from 50 to 100

Done. Es gibt jetzt einen optionalen Parameter "codePage".

#4 - 2012-07-04 16:39 - Jorg Riesmeier

- Status changed from Assigned to Closed
